## IdeTransfer IdeTransfer |

## Functions

GQuark | ide_transfer_error_quark ()
void | ide_transfer_cancel ()
gboolean | ide_transfer_get_completed ()
gboolean | ide_transfer_get_active ()
const gchar * | ide_transfer_get_icon_name ()
void | ide_transfer_set_icon_name ()
gdouble | ide_transfer_get_progress ()
void | ide_transfer_set_progress ()
const gchar * | ide_transfer_get_status ()
void | ide_transfer_set_status ()
const gchar * | ide_transfer_get_title ()
void | ide_transfer_set_title ()
void | ide_transfer_execute_async ()
gboolean | ide_transfer_execute_finish ()

## Properties

gboolean | active | Read
gboolean | completed | Read
gchar * | icon-name | Read / Write
gdouble | progress | Read / Write
gchar * | status | Read / Write
gchar * | title | Read / Write

## Types and Values

#define | IDE_TYPE_TRANSFER
#define | IDE_TRANSFER_ERROR
struct | IdeTransferClass
enum | IdeTransferError
| IdeTransfer

## Object Hierarchy

        GObject
        ╰── IdeTransfer
            ╰── IdePkconTransfer

## Description

## Functions

### ide_transfer_error_quark ()

    GQuark
    ide_transfer_error_quark (void);

### ide_transfer_cancel ()

    void
    ide_transfer_cancel (IdeTransfer *self);

### ide_transfer_get_completed ()

    gboolean
    ide_transfer_get_completed (IdeTransfer *self);

### ide_transfer_get_active ()

    gboolean
    ide_transfer_get_active (IdeTransfer *self);

### ide_transfer_get_icon_name ()

    const gchar *
    ide_transfer_get_icon_name (IdeTransfer *self);

### ide_transfer_set_icon_name ()

    void
    ide_transfer_set_icon_name (IdeTransfer *self,
                                const gchar *icon_name);

### ide_transfer_get_progress ()

    gdouble
    ide_transfer_get_progress (IdeTransfer *self);

### ide_transfer_set_progress ()

    void
    ide_transfer_set_progress (IdeTransfer *self,
                               gdouble progress);

### ide_transfer_get_status ()

    const gchar *
    ide_transfer_get_status (IdeTransfer *self);

### ide_transfer_set_status ()

    void
    ide_transfer_set_status (IdeTransfer *self,
                             const gchar *status);

### ide_transfer_get_title ()

    const gchar *
    ide_transfer_get_title (IdeTransfer *self);

### ide_transfer_set_title ()

    void
    ide_transfer_set_title (IdeTransfer *self,
                            const gchar *title);

### ide_transfer_execute_async ()

    void
    ide_transfer_execute_async (IdeTransfer *self,
                                GCancellable *cancellable,
                                GAsyncReadyCallback callback,
                                gpointer user_data);

### ide_transfer_execute_finish ()

    gboolean
    ide_transfer_execute_finish (IdeTransfer *self,
                                 GAsyncResult *result,
                                 GError **error);

## Types and Values

### IDE_TYPE_TRANSFER

    #define IDE_TYPE_TRANSFER  (ide_transfer_get_type())

### IDE_TRANSFER_ERROR

    #define IDE_TRANSFER_ERROR (ide_transfer_error_quark())

### struct IdeTransferClass

    struct IdeTransferClass {
      GObjectClass parent_class;

      void     (*execute_async)  (IdeTransfer          *self,
                                  GCancellable         *cancellable,
                                  GAsyncReadyCallback   callback,
                                  gpointer              user_data);
      gboolean (*execute_finish) (IdeTransfer          *self,
                                  GAsyncResult         *result,
                                  GError              **error);
    };

### enum IdeTransferError

#### Members

IDE_TRANSFER_ERROR_UNKNOWN |  |
IDE_TRANSFER_ERROR_CONNECTION_IS_METERED |  |

### IdeTransfer

    typedef struct _IdeTransfer IdeTransfer;

## Property Details

### The `“active”` property

      “active”                   gboolean

If the transfer is active.

Flags: Read

Default value: FALSE

### The `“completed”` property

      “completed”                gboolean

If the transfer has completed successfully.

Flags: Read

Default value: FALSE

### The `“icon-name”` property

      “icon-name”                gchar *

The icon to display next to the transfer.

Flags: Read / Write

Default value: "folder-download-symbolic"

### The `“progress”` property

      “progress”                 gdouble

The progress for the transfer between 0 adn 1.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0

### The `“status”` property

      “status”                   gchar *

The status message for the transfer.

Flags: Read / Write

Default value: NULL

### The `“title”` property

      “title”                    gchar *

The title of the transfer.

Flags: Read / Write

Default value: NULL